Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCellTypes Class Reference

`#include <vtkCellTypes.h>`

Inheritance diagram for vtkCellTypes:

[legend]
Collaboration diagram for vtkCellTypes:

[legend]
List of all members.

## Detailed Description

object provides direct access to cells in vtkCellArray and type information

Date:
  2002/12/26 18:24:21

Revision:
  1.25

This class is a supplemental object to vtkCellArray to allow random access into cells as well as representing cell type information. The "location" field is the location in the vtkCellArray list in terms of an integer offset. An integer offset was used instead of a pointer for easy storage and inter-process communication. The type information is defined in the file vtkCellType.h.

Warning:
  Sometimes this class is used to pass type information independent of the random access (i.e., location) information. For example, see vtkDataSet::GetCellTypes(). If you use the class in this way, you can use a location value of -1.

See also:
  vtkCellArray vtkCellLinks

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Lee, Jeff (22%)
  - Martin, Ken (12%)
  - Miller, Jim (6%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkCellTypes.h)`
  - .`cxx` (`/Common/vtkCellTypes.cxx)`

Tests:
  vtkCellTypes (Tests)

Definition at line 64 of file vtkCellTypes.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | Allocate (int sz=512, int ext=1000)
void | InsertCell (int id, unsigned char type, int loc)
int | InsertNextCell (unsigned char type, int loc)
void | SetCellTypes (int ncells, vtkUnsignedCharArray *cellTypes, vtkIntArray *cellLocations)
int | GetCellLocation (int cellId)
void | DeleteCell (int cellId)
int | GetNumberOfTypes ()
int | IsType (unsigned char type)
int | InsertNextType (unsigned char type)
unsigned char | GetCellType (int cellId)
void | Squeeze ()
void | Reset ()
unsigned long | GetActualMemorySize ()
void | DeepCopy (vtkCellTypes *src)
## Static Public Methods
vtkCellTypes * | New ()
int | IsTypeOf (const char *type)
vtkCellTypes * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCellTypes ()
| ~vtkCellTypes ()
## Protected Attributes
vtkUnsignedCharArray * | TypeArray
vtkIntArray * | LocationArray
int | Size
int | MaxId
int | Extend

## Member Typedef Documentation

typedef vtkObject vtkCellTypes::Superclass

| Reimplemented from vtkObject. Definition at line 68 of file vtkCellTypes.h.

## Constructor & Destructor Documentation

vtkCellTypes::vtkCellTypes | ( |  | ) | `[protected]`

vtkCellTypes::~vtkCellTypes | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCellTypes* vtkCellTypes::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCellTypes::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkCellTypes::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkCellTypes::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkCellTypes* vtkCellTypes::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

int vtkCellTypes::Allocate | ( | int | sz = 512,
|  | int | ext = 1000
| ) |

| Allocate memory for this array. Delete old storage only if necessary.

void vtkCellTypes::InsertCell | ( | int | id,
|  | unsigned char | type,
|  | int | loc
| ) |

| Add a cell at specified id.

int vtkCellTypes::InsertNextCell | ( | unsigned char | type,
|  | int | loc
| ) |

| Add a cell to the object in the next available slot.

void vtkCellTypes::SetCellTypes | ( | int | ncells,
|  | vtkUnsignedCharArray * | cellTypes,
|  | vtkIntArray * | cellLocations
| ) |

| Specify a group of cell types.

int vtkCellTypes::GetCellLocation | ( | int | cellId | ) | `[inline]`

| Return the location of the cell in the associated vtkCellArray. Definition at line 83 of file vtkCellTypes.h.

void vtkCellTypes::DeleteCell | ( | int | cellId | ) | `[inline]`

| Delete cell by setting to NULL cell type. Definition at line 86 of file vtkCellTypes.h. References VTK_EMPTY_CELL. Referenced by vtkPolyData::DeleteCell().

int vtkCellTypes::GetNumberOfTypes | ( |  | ) | `[inline]`

| Return the number of types in the list. Definition at line 89 of file vtkCellTypes.h. Referenced by IsType().

int vtkCellTypes::IsType | ( | unsigned char | type | ) | `[inline]`

| Return 1 if type specified is contained in list; 0 otherwise. Definition at line 135 of file vtkCellTypes.h. References GetCellType(), and GetNumberOfTypes().

int vtkCellTypes::InsertNextType | ( | unsigned char | type | ) | `[inline]`

| Add the type specified to the end of the list. Range checking is performed. Definition at line 96 of file vtkCellTypes.h.

unsigned char vtkCellTypes::GetCellType | ( | int | cellId | ) | `[inline]`

| Return the type of cell. Definition at line 99 of file vtkCellTypes.h. Referenced by IsType().

void vtkCellTypes::Squeeze | ( |  | ) |

| Reclaim any extra memory.

void vtkCellTypes::Reset | ( |  | ) |

| Initialize object without releasing memory.

unsigned long vtkCellTypes::GetActualMemorySize | ( |  | ) |

| Return the memory in kilobytes consumed by this cell type array. Used to support streaming and reading/writing data. The value returned is guaranteed to be greater than or equal to the memory required to actually represent the data represented by this object. The information returned is valid only after the pipeline has been updated.

void vtkCellTypes::DeepCopy | ( | vtkCellTypes * | src | ) |

| Standard DeepCopy method. Since this object contains no reference to other objects, there is no ShallowCopy.

## Member Data Documentation

vtkUnsignedCharArray* vtkCellTypes::TypeArray`[protected]`

| Definition at line 123 of file vtkCellTypes.h.

vtkIntArray* vtkCellTypes::LocationArray`[protected]`

| Definition at line 124 of file vtkCellTypes.h.

int vtkCellTypes::Size`[protected]`

| Definition at line 125 of file vtkCellTypes.h.

int vtkCellTypes::MaxId`[protected]`

| Definition at line 126 of file vtkCellTypes.h.

int vtkCellTypes::Extend`[protected]`

| Definition at line 127 of file vtkCellTypes.h.

The documentation for this class was generated from the following file:

- Common/vtkCellTypes.h